Subject: bug#44824: 27.1; Org export as pdf and open file does not open it

From: Eli Zaretskii <[email-masked]>
Date: Sun, 31 Jan 2021 18:33:31 +0200

> From: Maxim Nikulin <[email-masked]>
> Date: Sun, 31 Jan 2021 22:57:57 +0700
> Cc: [email-masked]
> 
> >> To fix the problem it is better to use (make-process :connection-type
> >> 'pipe ...) that unfortunately has no higher level wrappers.
> > 
> > Wouldn't it work to let-bind process-connection-type to nil around the
> > function that starts the async subprocess?
> 
> Sorry, for me it easier to reason how to express it in terms of system 
> calls and terminal process groups than if let-bind could override a 
> variable when lexical-bind is set to true.

Well, I think we should try this, because if it works, it will show us
a way to fix the problem.  (I don't see how lexical-binding could
interfere with let-binding.)